## lamco-rdp-server 1.3.1

=== vendor/libopus_sys/opus/dnn/torch/osce/requirements.txt ===
pyyaml==6.0.1
torch>=2.8.0
numpy==1.25.2
scipy==1.11.2
pesq==0.0.4
gitpython==3.1.41
matplotlib==3.7.3
torchaudio>=2.8.0
tqdm>=4.66.3

=== debian/changelog ===
lamco-rdp-server (1.3.1-1) unstable; urgency=low

  * Initial release (Closes: #1127949)

 -- Greg Lamberson <greg@lamco.io>  Sat, 14 Feb 2026 00:00:00 +0000

=== debian/control ===
Source: lamco-rdp-server
Section: non-free/net
Priority: optional
Maintainer: Greg Lamberson <greg@lamco.io>
Build-Depends:
 debhelper-compat (= 13),
 cargo (>= 1.85),
 rustc (>= 1.85),
 pkgconf,
 clang,
 cmake,
 nasm,
 libpipewire-0.3-dev,
 libspa-0.2-dev,
 libwayland-dev,
 libxkbcommon-dev,
 libdbus-1-dev,
 libssl-dev,
 libpam0g-dev,
 libfuse3-dev,
 libva-dev
Standards-Version: 4.7.0
Homepage: https://www.lamco.ai/products/lamco-rdp-server/
Vcs-Git: https://salsa.debian.org/lamco/lamco-rdp-server.git
Vcs-Browser: https://salsa.debian.org/lamco/lamco-rdp-server
Rules-Requires-Root: no

Package: lamco-rdp-server
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends},
 pipewire,
 xdg-desktop-portal
Recommends:
 libva2,
 intel-media-va-driver | mesa-va-drivers
Description: Native Wayland RDP server for Linux desktop sharing
 lamco-rdp-server is a high-performance RDP server for Wayland-based
 Linux desktops. It supports multiple screen capture and input backends:
 xdg-desktop-portal for GNOME and KDE, native wlroots protocols for
 Sway and Hyprland, with automatic capability detection.
 .
 Features include H.264 video encoding (AVC420/AVC444), hardware-
 accelerated encoding via VA-API, multi-monitor support, clipboard
 synchronization, and a graphical configuration GUI.
 .
 Built on IronRDP. Works with any standard RDP client.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cargo build --release --frozen --features "default,vaapi,gui"

override_dh_auto_install:
	install -Dm755 target/release/lamco-rdp-server debian/lamco-rdp-server/usr/bin/lamco-rdp-server
	install -Dm755 target/release/lamco-rdp-server-gui debian/lamco-rdp-server/usr/bin/lamco-rdp-server-gui
	install -Dm644 packaging/systemd/lamco-rdp-server.service debian/lamco-rdp-server/usr/lib/systemd/user/lamco-rdp-server.service
	install -dm755 debian/lamco-rdp-server/etc/lamco-rdp-server

override_dh_auto_test:
	# Tests require running Wayland compositor
	true

override_dh_auto_clean:
	cargo clean || true

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.xz/lamco-rdp-server-$1.tar.xz/ \
  https://github.com/lamco-admin/lamco-rdp-server/releases \
  .+/v?(\d\S+)\.tar\.xz
